commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave Brosius <dbros...@apache.org>
Subject Re: [BCEL] 5.3 is going to be messy
Date Tue, 07 Jun 2016 13:29:40 GMT


On 06/07/2016 06:39 AM, sebb wrote:
> On 7 June 2016 at 11:15, Torsten Curdt <tcurdt@vafer.org> wrote:
>>> 1) I don't believe we should force users to migrate their code in
>>> order to support java 7/8.
>>>
>> ...and that line of thinking is why it feels like commons projects are
>> effectively stuck in the past.
> And maybe the ease of upgrade is why they are popular with users.

What upgrade? When have the users had to upgrade? like 3 years ago?
>
>> No one needs to upgrade. If your projects live in the past - there are bug
>> fix releases.
> That's not the case in general. Very few commons projects maintain
> parallel releases.
>
>> But if you want the new shiny then you as well should be OK to put in some
>> effort to do so.
> Why should the user have to do so?

There's one thing above all else that really is painful to the user. No 
upgrades!
Why are there no upgrades? Because there are no developers!
Why are there no developers? Because they are punished with a horrendous
development experience. Oh boy, can't wait to develop with 1.5 in SVN!! 
that's a treat.

>
>> Change should be easy - not just for our user but also for us.
> There are many more users than there are developers.
>
>> My 2 cents
> Suppose there are 10 developers on BCEL; that's 20 cents.
>
> There may be 1000 or more users.
>
> That's 20 dollars.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message